package com.cultural.heritage.service.order;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cultural.heritage.model.dto.order.OrderAddRequest;
import com.cultural.heritage.model.dto.order.OrderQueryRequest;
import com.cultural.heritage.model.dto.order.capital.OrderMainInfoAddRequest;
import com.cultural.heritage.model.entity.Order;

public interface OrderService extends IService<Order> {


    /**
     * 获取查询条件
     */
    QueryWrapper<Order> getQueryWrapper(OrderQueryRequest orderQueryRequest);


    /**
     * 封装订单详细信息请求体
     */
    OrderAddRequest initOrderMainInfo(OrderMainInfoAddRequest orderMainInfoAddRequest);
}
